Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.nio.charset
Class UnmappableCharacterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.nio.charset.CharacterCodingException
                      java.nio.charset.UnmappableCharacterException

All Implemented Interfaces:
  Serializable

    public class UnmappableCharacterException

extends CharacterCodingException

Checked exception thrown when an input character (or byte) sequence is valid but cannot be mapped to an output byte (or character) sequence.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`UnmappableCharacterException(int inputLength)`

Method Summary
`int` | `getInputLength()`
`String` | `getMessage()` Returns the detail message string of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnmappableCharacterException

    public UnmappableCharacterException(int inputLength)

Method Detail

### getInputLength

    public int getInputLength()

### getMessage

    public String getMessage()

  Description copied from class: `Throwable`
  Returns the detail message string of this throwable.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string of this `Throwable` instance (which may be `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.